proj.home <- "/home/usr0/z41440a/afghanistan_ecma_final/"
sim.dir <- paste(proj.home, "appendix_G_output/", sep="")

fnames <- paste(sim.dir, "Jhatb_", c(1,0.1,0.05,0), ".RData", sep="")

Jhat.l <- list()

for(fname in fnames) {
    load(fname)
    Jhat.l[[fname]] <- J.hat
}


lapply(Jhat.l, table)

library("lattice")

histogram(~ Jhat.l[[1]]+ Jhat.l[[4]], breaks=seq(0.5,50.5,1))

clr <- rep("lightblue", 50)
clr[4] <- "red"

ofname <- paste(proj.tmp, "Jhat_1.pdf", sep="")
pdf(ofname)
histogram(Jhat.l[[1]], breaks=seq(0.5,50.5,1), col=clr, xlab="J hat", ylim=c(0,100))
dev.off()

ofname <- paste(proj.tmp, "Jhat_0.1.pdf", sep="")
pdf(ofname)
histogram(Jhat.l[[2]], breaks=seq(0.5,50.5,1), col=clr, xlab="J hat", ylim=c(0,100))
dev.off()

ofname <- paste(proj.tmp, "Jhat_0.05.pdf", sep="")
pdf(ofname)
histogram(Jhat.l[[3]], breaks=seq(0.5,50.5,1), col=clr, xlab="J hat", ylim=c(0,100))
dev.off()

ofname <- paste(proj.tmp, "Jhat_0.pdf", sep="")
pdf(ofname)
histogram(Jhat.l[[4]], breaks=seq(0.5,50.5,1), col=clr, xlab="J hat", ylim=c(0,100))
dev.off()
