##Sun	Dec 20	1998	Ramadan starts	Muslim	Jan 19	
##Thu	Dec 9	1999	Ramadan starts	Muslim  Jan 8
##Tue	Nov 28	2000	Ramadan starts	Muslim	Dec 28
##Sat	Nov 17	2001	Ramadan starts	Muslim	Dec 17
##Wed	Nov 6	2002	Ramadan starts	Muslim	Dec 6
##Mon	Oct 27	2003	Ramadan starts	Muslim	Nov 26
##Sat	16-Oct	2004	 Ramadan starts	Muslim	14-Nov	Ramadan ends
##Wed	5-Oct	2005 	Ramadan starts	Muslim	4-Nov	Ramadan ends
##Sun	24-Sep	2006	 Ramadan starts	Muslim	24-Oct	Ramadan ends
##Thu	13-Sep	2007	 Ramadan starts	Muslim	13-Oct	Ramadan ends
##Tue	2-Sep	2008	 Ramadan starts	Muslim	2-Oct	Ramadan ends
##Sat	22-Aug	2009	 Ramadan starts	Muslim	21-Sep	Ramadan ends
##Wed	11-Aug	2010	 Ramadan starts	Muslim	10-Sep	Ramadan ends
##Mon	1-Aug	2011	 Ramadan starts	Muslim	31-Aug	Ramadan ends
##Fri	20-Jul	2012 	Ramadan starts	Muslim	19-Aug	Ramadan ends
##Tue	9-Jul	2013 	Ramadan starts	Muslim	8-Aug	Ramadan ends
##Sun	Jun 29	2014	Ramadan starts	Muslim	Jul 29
##Thu	Jun 18	2015	Ramadan starts	Muslim	Jul 18
##Tue	Jun 7	2016	Ramadan starts	Muslim	Jul 6
##Sat	May 27	2017	Ramadan starts	Muslim  Jun 26

library("lubridate")
ramadan <- list(
    as.Date(ymd("2017-05-27"):ymd("2017-06-26"), origin="1970-01-01"),
    as.Date(ymd("2016-06-07"):ymd("2016-07-06"), origin="1970-01-01"),
    as.Date(ymd("2015-06-18"):ymd("2015-07-18"), origin="1970-01-01"),
    as.Date(ymd("2014-06-29"):ymd("2014-07-29"), origin="1970-01-01"),
    as.Date(ymd("2013-07-09"):ymd("2013-08-08"), origin="1970-01-01"),
    as.Date(ymd("2012-07-20"):ymd("2012-08-19"), origin="1970-01-01"),
    as.Date(ymd("2011-08-01"):ymd("2011-08-31"), origin="1970-01-01"), # including this one we're down in 1 group, but by itself still gives 4 groups (with dummies has no effect)
    as.Date(ymd("2010-08-11"):ymd("2010-09-10"), origin="1970-01-01"),  # including this one we're down to 3 groups (with new dummies 4 groups here...)
    as.Date(ymd("2009-08-22"):ymd("2009-09-21"), origin="1970-01-01"),  # (sindh fractured if this one included with dummies)
    as.Date(ymd("2008-09-02"):ymd("2008-10-02"), origin="1970-01-01"),   ## 4 groups dropping just this one
    as.Date(ymd("2007-09-13"):ymd("2007-10-13"), origin="1970-01-01"),
    as.Date(ymd("2006-09-24"):ymd("2006-10-24"), origin="1970-01-01"),
    as.Date(ymd("2005-10-05"):ymd("2005-11-04"), origin="1970-01-01"),
    as.Date(ymd("2004-10-16"):ymd("2004-11-14"), origin="1970-01-01"),
    as.Date(ymd("2003-10-27"):ymd("2003-11-26"), origin="1970-01-01"),
    as.Date(ymd("2002-11-06"):ymd("2002-12-06"), origin="1970-01-01"),
    as.Date(ymd("2001-11-17"):ymd("2001-12-17"), origin="1970-01-01"),
    as.Date(ymd("2000-11-28"):ymd("2000-12-28"), origin="1970-01-01"),
    as.Date(ymd("1999-12-09"):ymd("2000-01-08"), origin="1970-01-01"),
    as.Date(ymd("1998-12-20"):ymd("1999-01-19"), origin="1970-01-01"))
